package com.hgwebservice.dal.mysql.data;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hgwebservice.dal.dataobject.data.DispatchDataDO;
import com.hgwebservice.dal.dataobject.data.DispatchInfoDO;
import com.hgwebservice.dal.dataobject.data.OperatorDataDO;
import com.hgwebservice.dal.dataobject.data.PatientDataDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 操作员 Mapper
 *
 * @author super_admin
 */
@Mapper
public interface OperatorDataMapper extends BaseMapper<OperatorDataDO> {

    int replaceOperatorData(@Param("list") List<OperatorDataDO> list,@Param("hospitalId")Integer hospitalId);
    int replacePatientData(@Param("list") List<PatientDataDO> list,@Param("hospitalId")Integer hospitalId);
    int insertDispatchData(@Param("list") List<DispatchDataDO> list,@Param("hospitalId")Integer hospitalId);
    int insertDispatchInfo(@Param("list") List<DispatchInfoDO> list, @Param("hospitalId")Integer hospitalId);
}
